<script lang="ts">
import Vue from 'vue';
import { SlpColumn } from '../common/index.vue';

export default Vue.extend({
  name: 'Header',
  components: {
    SlpColumn,
  },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="header slp-mt-64">
    <SlpColumn class="slp-flex slp-flex-column slp-align-items-center">
      <SlpTypography tag="h1" variant="heading2-bold" class="slp-mb-16">{{
        data.title
      }}</SlpTypography>
      <SlpTypography tag="h2" variant="heading4" class="slp-mb-48">
        <span
          >{{ data.subtitle }}
          <a :href="data.subtitle_url">{{ data.subtitle_text }}</a>
          {{ data.subtitle_cont }}
        </span>
      </SlpTypography>
    </SlpColumn>
  </section>
</template>

<style lang="scss" scoped>
.header {
  text-align: center;

  @media (max-width: $breakpoint-md) {
    margin-top: 0;
    margin-top: $spacing-48;

    h1 {
      font-size: font-size-3xl;
    }

    h3 {
      font-size: font-size-md;
      margin-bottom: $spacing-32;
    }
  }
}
</style>
